Bug 826938 - Bpel process cannot be registered to 3rd party uddi registry with Sun JDK 7
Bpel process cannot be registered to 3rd party uddi registry with Sun JDK 7
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, riftsaw (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 5.3.0 GA
Assigned To: Kevin Conner
: TestBlocker
Depends On: 820498
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 05:31 EDT by Jiri Sedlacek
Modified: 2015-08-02 19:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When registering a BPEL process in a third-party UDDI registry with a SOAP protocol, an exception was thrown. A new patch has been added to address this so users can now register BPEL processes without encountering the problem.
Story Points: ---
Clone Of:
Environment:
SOA-Platform running with sun-jdk7
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Sedlacek 2012-05-31 05:31:53 EDT
When registering bpel process to 3rd party uddi registry with over SOAP protocol there are exceptions thrown:

11:22:37,480 INFO  [GenericCallback] @GenericTestServices@ deploying Quickstart_bpel_uddi_registration-1.jar
11:22:37,491 INFO  [MainDeployer] deploy, url=file:/home/jsedlace/soa/esb_soa_tests/soa/tests/quickstarts/tests/build/Quickstart_bpel_uddi_registration-1.jar
11:22:37,508 INFO  [AS5BPELDeployer] Deploy: Quickstart_bpel_uddi_registration-1.jar relativePath=bpel-deploy.xml
11:22:37,512 INFO  [ProcessStoreImpl] Starting deployment of processes from directory "/home/jsedlace/soa/jboss-soa-p-5/jboss-as/server/postgresql84/tmp/3j001-hfujsr-h2vkhwkc-1-h2vm8ksk-rn/Quickstart_bpel_uddi_registration-1.jar". 
11:22:37,516 INFO  [ClassPathXmlApplicationContext] Refreshing org.springframework.context.support.ClassPathXmlApplicationContext@53d6f78e: startup date [Thu May 31 11:22:37 CEST 2012]; root of context hierarchy
11:22:37,516 INFO  [XmlBeanDefinitionReader] Loading XML bean definitions from class path resource [beans.xml]
11:22:37,517 INFO  [DeploymentUnitDir] Can't initialize beans.xml application context org.springframework.beans.factory.BeanDefinitionStoreException: IOException parsing XML document from class path resource [beans.xml]; nested exception is java.io.FileNotFoundException: class path resource [beans.xml] cannot be opened because it does not exist for Quickstart_bpel_uddi_registration-1.jar
11:22:37,520 INFO  [BpelC] info: [CompilingProcess] Compiling BPEL process.
11:22:37,582 INFO  [ProcessStoreImpl] Process {http://www.jboss.org/bpel/examples}UddiReg-1 deployed from "{http://www.jboss.org/bpel/examples}UddiReg-1".
11:22:37,610 INFO  [CronScheduler] Cancelled PROCESS CRON jobs for: {http://www.jboss.org/bpel/examples}UddiReg-1
11:22:37,611 INFO  [CronScheduler] Scheduled PROCESS CRON jobs for: {http://www.jboss.org/bpel/examples}UddiReg-1
11:22:37,611 INFO  [JAXWSBindingContext] Activate my role endpoint: {http://www.jboss.org/bpel/examples/wsdl}UddiRegService:UddiRegPort
11:22:37,614 INFO  [STDOUT] Retrieving document at 'file:/home/jsedlace/soa/jboss-soa-p-5/jboss-as/server/postgresql84/tmp/3j001-hfujsr-h2vkhwkc-1-h2vm8ksk-rn/Quickstart_bpel_uddi_registration-1.jar/uddi_reg.wsdl'.
11:22:37,631 INFO  [DefaultEndpointRegistry] register: jboss.ws:context=Quickstart_bpel_uddi_registration,endpoint=Endpoint-eba0df27-d501-4129-94dd-00df606788bc
11:22:37,644 INFO  [TomcatDeployment] deploy, ctxPath=/Quickstart_bpel_uddi_registration
11:22:37,676 WARNING [config] Unable to process deployment descriptor for context '/Quickstart_bpel_uddi_registration'
11:22:37,678 INFO  [config] Initializing Mojarra (1.2_13-b01-FCS) for context '/Quickstart_bpel_uddi_registration'
11:22:37,867 WARN  [WSDL11Reader] UsingAddressing extensibility element not supported yet.
11:22:37,867 WARN  [WSDL11Reader] UsingAddressing extensibility element not supported yet.
11:22:37,867 WARN  [WSDL11Reader] UsingAddressing extensibility element not supported yet.
11:22:37,869 INFO  [WSDLFilePublisher] WSDL published to: file:/home/jsedlace/soa/jboss-soa-p-5/jboss-as/server/postgresql84/data/wsdl/dsp-eba0df27-d501-4129-94dd-00df606788bc.war/uddi_reg.wsdl
11:22:37,873 ERROR [CommonClient] Exception caught while (preparing for) performing the invocation: 
java.io.IOException: Could not transmit message
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:267)
	at org.jboss.ws.core.client.SOAPProtocolConnectionHTTP.invoke(SOAPProtocolConnectionHTTP.java:71)
	at org.jboss.ws.core.CommonClient.invoke(CommonClient.java:360)
	at org.jboss.ws.core.jaxws.client.ClientImpl.invoke(ClientImpl.java:232)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:171)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:157)
	at $Proxy444.getAuthToken(Unknown Source)
	at org.apache.juddi.v3.client.config.UDDIClerk.getAuthToken(UDDIClerk.java:572)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:430)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:423)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.lookupService(BPEL2UDDI.java:269)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.register(BPEL2UDDI.java:166)
	at org.apache.juddi.v3.client.mapping.AsyncRegistration.run(AsyncRegistration.java:69)
	at java.lang.Thread.run(Thread.java:722)
Caused by: java.lang.NoClassDefFoundError: Could not initialize class sun.net.www.protocol.http.HttpURLConnection
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:62)
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:57)
	at java.net.URL.openConnection(URL.java:969)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.createURLConnection(HTTPClientInvoker.java:882)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.transport(HTTPClientInvoker.java:169)
	at org.jboss.remoting.MicroRemoteClientInvoker.invoke(MicroRemoteClientInvoker.java:169)
	at org.jboss.remoting.Client.invoke(Client.java:2070)
	at org.jboss.remoting.Client.invoke(Client.java:879)
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:246)
	... 13 more
11:22:37,879 ERROR [AsyncRegistration] Not able to register org.apache.juddiv3.client.mapping.WSDL2UDDI endpoint {http://www.jboss.org/bpel/examples/wsdl}UddiRegService to UDDI Registry. java.io.IOException: Could not transmit message
javax.xml.ws.WebServiceException: java.io.IOException: Could not transmit message
	at org.jboss.ws.core.jaxws.client.ClientImpl.handleRemoteException(ClientImpl.java:311)
	at org.jboss.ws.core.jaxws.client.ClientImpl.invoke(ClientImpl.java:244)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:171)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:157)
	at $Proxy444.getAuthToken(Unknown Source)
	at org.apache.juddi.v3.client.config.UDDIClerk.getAuthToken(UDDIClerk.java:572)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:430)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:423)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.lookupService(BPEL2UDDI.java:269)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.register(BPEL2UDDI.java:166)
	at org.apache.juddi.v3.client.mapping.AsyncRegistration.run(AsyncRegistration.java:69)
	at java.lang.Thread.run(Thread.java:722)
Caused by: java.io.IOException: Could not transmit message
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:267)
	at org.jboss.ws.core.client.SOAPProtocolConnectionHTTP.invoke(SOAPProtocolConnectionHTTP.java:71)
	at org.jboss.ws.core.CommonClient.invoke(CommonClient.java:360)
	at org.jboss.ws.core.jaxws.client.ClientImpl.invoke(ClientImpl.java:232)
	... 10 more
Caused by: java.lang.NoClassDefFoundError: Could not initialize class sun.net.www.protocol.http.HttpURLConnection
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:62)
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:57)
	at java.net.URL.openConnection(URL.java:969)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.createURLConnection(HTTPClientInvoker.java:882)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.transport(HTTPClientInvoker.java:169)
	at org.jboss.remoting.MicroRemoteClientInvoker.invoke(MicroRemoteClientInvoker.java:169)
	at org.jboss.remoting.Client.invoke(Client.java:2070)
	at org.jboss.remoting.Client.invoke(Client.java:879)
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:246)
	... 13 more
11:22:37,917 INFO  [BpelServerImpl] Registered process {http://www.jboss.org/bpel/examples}UddiReg-1.
11:22:37,917 INFO  [CronScheduler] Cancelled PROCESS CRON jobs for: {http://www.jboss.org/bpel/examples}UddiReg-1
11:22:37,917 INFO  [CronScheduler] Scheduled PROCESS CRON jobs for: {http://www.jboss.org/bpel/examples}UddiReg-1
11:22:55,733 INFO  [GenericCallback] @GenericTestServices@ undeploying Quickstart_bpel_uddi_registration-1.jar
11:22:55,737 INFO  [AS5BPELDeployer] Undeploy: Quickstart_bpel_uddi_registration-1.jar relativePath=bpel-deploy.xml
11:22:55,751 INFO  [JAXWSBindingContext] Deactivate my role endpoint: {http://www.jboss.org/bpel/examples/wsdl}UddiRegService:UddiRegPort
11:22:55,753 INFO  [TomcatDeployment] undeploy, ctxPath=/Quickstart_bpel_uddi_registration
11:22:55,770 INFO  [DefaultEndpointRegistry] remove: jboss.ws:context=Quickstart_bpel_uddi_registration,endpoint=Endpoint-eba0df27-d501-4129-94dd-00df606788bc
11:22:55,774 ERROR [CommonClient] Exception caught while (preparing for) performing the invocation: 
java.io.IOException: Could not transmit message
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:267)
	at org.jboss.ws.core.client.SOAPProtocolConnectionHTTP.invoke(SOAPProtocolConnectionHTTP.java:71)
	at org.jboss.ws.core.CommonClient.invoke(CommonClient.java:360)
	at org.jboss.ws.core.jaxws.client.ClientImpl.invoke(ClientImpl.java:232)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:171)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:157)
	at $Proxy444.getAuthToken(Unknown Source)
	at org.apache.juddi.v3.client.config.UDDIClerk.getAuthToken(UDDIClerk.java:572)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:430)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:423)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.lookupService(BPEL2UDDI.java:269)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.unRegister(BPEL2UDDI.java:197)
	at org.jboss.soa.bpel.uddi.UDDIRegistrationImpl.unRegisterBPELEPR(UDDIRegistrationImpl.java:148)
	at org.jboss.soa.bpel.runtime.ws.EndpointManager.removeEndpoint(EndpointManager.java:265)
	at org.jboss.soa.bpel.runtime.engine.ode.JAXWSBindingContext.deactivateMyRoleEndpoint(JAXWSBindingContext.java:123)
	at org.apache.ode.bpel.engine.BpelProcess.deactivate(BpelProcess.java:650)
	at org.apache.ode.bpel.engine.BpelEngineImpl.unregisterProcess(BpelEngineImpl.java:294)
	at org.apache.ode.bpel.engine.BpelServerImpl.unregister(BpelServerImpl.java:369)
	at org.jboss.soa.bpel.runtime.engine.ode.BPELEngineImpl.handleEvent(BPELEngineImpl.java:697)
	at org.jboss.soa.bpel.runtime.engine.ode.BPELEngineImpl.access$100(BPELEngineImpl.java:64)
	at org.jboss.soa.bpel.runtime.engine.ode.BPELEngineImpl$ProcessStoreListenerImpl.onProcessStoreEvent(BPELEngineImpl.java:730)
	at org.apache.ode.store.ProcessStoreImpl.fireEvent(ProcessStoreImpl.java:665)
	at org.apache.ode.store.ProcessStoreImpl.undeploy(ProcessStoreImpl.java:379)
	at org.apache.ode.store.RiftSawProcessStore.undeploy(RiftSawProcessStore.java:72)
	at org.jboss.soa.bpel.deployer.as5.AS5BPELDeployer.undeploy(AS5BPELDeployer.java:157)
	at org.jboss.deployers.plugins.deployers.DeployerWrapper.undeploy(DeployerWrapper.java:204)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.doUndeploy(DeployersImpl.java:1484)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.doUninstallParentLast(DeployersImpl.java:1391)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.doUninstallParentLast(DeployersImpl.java:1371)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.uninstall(DeployersImpl.java:1346)
	at org.jboss.dependency.plugins.AbstractControllerContext.uninstall(AbstractControllerContext.java:354)
	at org.jboss.dependency.plugins.AbstractController.uninstall(AbstractController.java:1685)
	at org.jboss.dependency.plugins.AbstractController.uninstallContext(AbstractController.java:1295)
	at org.jboss.dependency.plugins.AbstractController.change(AbstractController.java:831)
	at org.jboss.dependency.plugins.AbstractController.change(AbstractController.java:556)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.process(DeployersImpl.java:702)
	at org.jboss.deployers.plugins.main.MainDeployerImpl.process(MainDeployerImpl.java:676)
	at org.jboss.deployment.MainDeployer.undeploy(MainDeployer.java:674)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:157)
	at org.jboss.mx.server.Invocation.dispatch(Invocation.java:96)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)
	at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
	at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:668)
	at sun.reflect.GeneratedMethodAccessor364.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.jmx.connector.invoker.InvokerAdaptorService.invoke(InvokerAdaptorService.java:266)
	at sun.reflect.GeneratedMethodAccessor363.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:157)
	at org.jboss.mx.server.Invocation.dispatch(Invocation.java:96)
	at org.jboss.mx.interceptor.AbstractInterceptor.invoke(AbstractInterceptor.java:138)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:90)
	at org.jboss.mx.interceptor.ModelMBeanOperationInterceptor.invoke(ModelMBeanOperationInterceptor.java:140)
	at org.jboss.jmx.connector.invoker.SerializableInterceptor.invoke(SerializableInterceptor.java:74)
	at org.jboss.jmx.connector.invoker.AuthenticationInterceptor.invoke(AuthenticationInterceptor.java:107)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:90)
	at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
	at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:668)
	at org.jboss.invocation.jrmp.server.JRMPProxyFactory.invoke(JRMPProxyFactory.java:180)
	at sun.reflect.GeneratedMethodAccessor362.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:157)
	at org.jboss.mx.server.Invocation.dispatch(Invocation.java:96)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)
	at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
	at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:668)
	at org.jboss.invocation.jrmp.server.JRMPInvoker$MBeanServerAction.invoke(JRMPInvoker.java:855)
	at org.jboss.invocation.jrmp.server.JRMPInvoker.invoke(JRMPInvoker.java:422)
	at sun.reflect.GeneratedMethodAccessor361.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at sun.rmi.server.UnicastServerRef.dispatch(UnicastServerRef.java:322)
	at sun.rmi.transport.Transport$1.run(Transport.java:177)
	at sun.rmi.transport.Transport$1.run(Transport.java:174)
	at java.security.AccessController.doPrivileged(Native Method)
	at sun.rmi.transport.Transport.serviceCall(Transport.java:173)
	at sun.rmi.transport.tcp.TCPTransport.handleMessages(TCPTransport.java:553)
	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0(TCPTransport.java:808)
	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run(TCPTransport.java:667)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
Caused by: java.lang.NoClassDefFoundError: Could not initialize class sun.net.www.protocol.http.HttpURLConnection
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:62)
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:57)
	at java.net.URL.openConnection(URL.java:969)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.createURLConnection(HTTPClientInvoker.java:882)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.transport(HTTPClientInvoker.java:169)
	at org.jboss.remoting.MicroRemoteClientInvoker.invoke(MicroRemoteClientInvoker.java:169)
	at org.jboss.remoting.Client.invoke(Client.java:2070)
	at org.jboss.remoting.Client.invoke(Client.java:879)
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:246)
	... 88 more
11:22:55,779 ERROR [UDDIRegistrationImpl] Unable to unRegister EPR for {http://www.jboss.org/bpel/examples/wsdl}UddiRegService .java.io.IOException: Could not transmit message
javax.xml.ws.WebServiceException: java.io.IOException: Could not transmit message
	at org.jboss.ws.core.jaxws.client.ClientImpl.handleRemoteException(ClientImpl.java:311)
	at org.jboss.ws.core.jaxws.client.ClientImpl.invoke(ClientImpl.java:244)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:171)
	at org.jboss.ws.core.jaxws.client.ClientProxy.invoke(ClientProxy.java:157)
	at $Proxy444.getAuthToken(Unknown Source)
	at org.apache.juddi.v3.client.config.UDDIClerk.getAuthToken(UDDIClerk.java:572)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:430)
	at org.apache.juddi.v3.client.config.UDDIClerk.findService(UDDIClerk.java:423)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.lookupService(BPEL2UDDI.java:269)
	at org.apache.juddi.v3.client.mapping.BPEL2UDDI.unRegister(BPEL2UDDI.java:197)
	at org.jboss.soa.bpel.uddi.UDDIRegistrationImpl.unRegisterBPELEPR(UDDIRegistrationImpl.java:148)
	at org.jboss.soa.bpel.runtime.ws.EndpointManager.removeEndpoint(EndpointManager.java:265)
	at org.jboss.soa.bpel.runtime.engine.ode.JAXWSBindingContext.deactivateMyRoleEndpoint(JAXWSBindingContext.java:123)
	at org.apache.ode.bpel.engine.BpelProcess.deactivate(BpelProcess.java:650)
	at org.apache.ode.bpel.engine.BpelEngineImpl.unregisterProcess(BpelEngineImpl.java:294)
	at org.apache.ode.bpel.engine.BpelServerImpl.unregister(BpelServerImpl.java:369)
	at org.jboss.soa.bpel.runtime.engine.ode.BPELEngineImpl.handleEvent(BPELEngineImpl.java:697)
	at org.jboss.soa.bpel.runtime.engine.ode.BPELEngineImpl.access$100(BPELEngineImpl.java:64)
	at org.jboss.soa.bpel.runtime.engine.ode.BPELEngineImpl$ProcessStoreListenerImpl.onProcessStoreEvent(BPELEngineImpl.java:730)
	at org.apache.ode.store.ProcessStoreImpl.fireEvent(ProcessStoreImpl.java:665)
	at org.apache.ode.store.ProcessStoreImpl.undeploy(ProcessStoreImpl.java:379)
	at org.apache.ode.store.RiftSawProcessStore.undeploy(RiftSawProcessStore.java:72)
	at org.jboss.soa.bpel.deployer.as5.AS5BPELDeployer.undeploy(AS5BPELDeployer.java:157)
	at org.jboss.deployers.plugins.deployers.DeployerWrapper.undeploy(DeployerWrapper.java:204)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.doUndeploy(DeployersImpl.java:1484)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.doUninstallParentLast(DeployersImpl.java:1391)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.doUninstallParentLast(DeployersImpl.java:1371)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.uninstall(DeployersImpl.java:1346)
	at org.jboss.dependency.plugins.AbstractControllerContext.uninstall(AbstractControllerContext.java:354)
	at org.jboss.dependency.plugins.AbstractController.uninstall(AbstractController.java:1685)
	at org.jboss.dependency.plugins.AbstractController.uninstallContext(AbstractController.java:1295)
	at org.jboss.dependency.plugins.AbstractController.change(AbstractController.java:831)
	at org.jboss.dependency.plugins.AbstractController.change(AbstractController.java:556)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.process(DeployersImpl.java:702)
	at org.jboss.deployers.plugins.main.MainDeployerImpl.process(MainDeployerImpl.java:676)
	at org.jboss.deployment.MainDeployer.undeploy(MainDeployer.java:674)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:157)
	at org.jboss.mx.server.Invocation.dispatch(Invocation.java:96)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)
	at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
	at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:668)
	at sun.reflect.GeneratedMethodAccessor364.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.jmx.connector.invoker.InvokerAdaptorService.invoke(InvokerAdaptorService.java:266)
	at sun.reflect.GeneratedMethodAccessor363.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:157)
	at org.jboss.mx.server.Invocation.dispatch(Invocation.java:96)
	at org.jboss.mx.interceptor.AbstractInterceptor.invoke(AbstractInterceptor.java:138)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:90)
	at org.jboss.mx.interceptor.ModelMBeanOperationInterceptor.invoke(ModelMBeanOperationInterceptor.java:140)
	at org.jboss.jmx.connector.invoker.SerializableInterceptor.invoke(SerializableInterceptor.java:74)
	at org.jboss.jmx.connector.invoker.AuthenticationInterceptor.invoke(AuthenticationInterceptor.java:107)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:90)
	at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
	at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:668)
	at org.jboss.invocation.jrmp.server.JRMPProxyFactory.invoke(JRMPProxyFactory.java:180)
	at sun.reflect.GeneratedMethodAccessor362.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:157)
	at org.jboss.mx.server.Invocation.dispatch(Invocation.java:96)
	at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)
	at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
	at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:668)
	at org.jboss.invocation.jrmp.server.JRMPInvoker$MBeanServerAction.invoke(JRMPInvoker.java:855)
	at org.jboss.invocation.jrmp.server.JRMPInvoker.invoke(JRMPInvoker.java:422)
	at sun.reflect.GeneratedMethodAccessor361.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at sun.rmi.server.UnicastServerRef.dispatch(UnicastServerRef.java:322)
	at sun.rmi.transport.Transport$1.run(Transport.java:177)
	at sun.rmi.transport.Transport$1.run(Transport.java:174)
	at java.security.AccessController.doPrivileged(Native Method)
	at sun.rmi.transport.Transport.serviceCall(Transport.java:173)
	at sun.rmi.transport.tcp.TCPTransport.handleMessages(TCPTransport.java:553)
	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0(TCPTransport.java:808)
	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run(TCPTransport.java:667)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
Caused by: java.io.IOException: Could not transmit message
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:267)
	at org.jboss.ws.core.client.SOAPProtocolConnectionHTTP.invoke(SOAPProtocolConnectionHTTP.java:71)
	at org.jboss.ws.core.CommonClient.invoke(CommonClient.java:360)
	at org.jboss.ws.core.jaxws.client.ClientImpl.invoke(ClientImpl.java:232)
	... 85 more
Caused by: java.lang.NoClassDefFoundError: Could not initialize class sun.net.www.protocol.http.HttpURLConnection
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:62)
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:57)
	at java.net.URL.openConnection(URL.java:969)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.createURLConnection(HTTPClientInvoker.java:882)
	at org.jboss.remoting.transport.http.HTTPClientInvoker.transport(HTTPClientInvoker.java:169)
	at org.jboss.remoting.MicroRemoteClientInvoker.invoke(MicroRemoteClientInvoker.java:169)
	at org.jboss.remoting.Client.invoke(Client.java:2070)
	at org.jboss.remoting.Client.invoke(Client.java:879)
	at org.jboss.ws.core.client.HTTPRemotingConnection.invoke(HTTPRemotingConnection.java:246)
	... 88 more
11:22:55,781 INFO  [BpelServerImpl] Unregistered process {http://www.jboss.org/bpel/examples}UddiReg-1.
11:22:55,799 INFO  [BpelServerImpl] Deleted only the process {http://www.jboss.org/bpel/examples}UddiReg-1.
11:22:55,810 INFO  [CronScheduler] Cancelled PROCESS CRON jobs for: {http://www.jboss.org/bpel/examples}UddiReg-1
11:22:55,810 INFO  [ProcessStoreImpl] Process {http://www.jboss.org/bpel/examples}UddiReg-1 has been undeployed.


The same can be seen when 3rd party uddi registry is configured for jbossesb in deploy/jbossesb.sar/esb.juddi.client.xml

If 3rd party uddi registry for JBossESB is configured in deployer/esb.deployer/jbossesb-properties.xml, JBossESB is registering services properly.
Comment 4 Nick Cross 2012-06-06 05:55:51 EDT
Logmanager patched in 820498
Comment 6 Suz 2012-06-13 01:33:14 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When registering a BPEL process to 3rd party UDDI registry with a SOAP protocol, exceptions are thrown. A new patch has been added to address this. This results in registrations occurring as expected.
Comment 7 David Le Sage 2012-06-13 23:57:36 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-When registering a BPEL process to 3rd party UDDI registry with a SOAP protocol, exceptions are thrown. A new patch has been added to address this. This results in registrations occurring as expected.+When registering a BPEL process in a third-party UDDI registry with a SOAP protocol, an exception was thrown. A new patch has been added to address this so users can now register BPEL processes without encountering the problem.
Comment 8 Jiri Sedlacek 2012-07-10 09:56:09 EDT
verified in soa-p-5.3.0.ER4

Note You need to log in before you can comment on or make changes to this bug.